/******************************************************************************
 * () Skatech Research Lab, 2000-2011.
 * Last change: 2011.07.27
 * LCD Nokia1110i driver header file
 *****************************************************************************/

#include <avr/io.h>
#include "config.h"

void LCD_send_command(uint8_t data);
void LCD_send_data(uint8_t data);
void LCD_draw_char(char code);
void LCD_draw_string(const char* text);
void LCD_set_position(uint8_t xpos, uint8_t ypos);
void LCD_clear_screen();
void LCD_initialize();
void LCD_mode_positive(uint8_t mode);
void LCD_draw_char_4X(char code, uint8_t xpos, uint8_t ypos);
void LCD_draw_string_4X(const char* text, uint8_t xpos, uint8_t ypos);


void LCD_draw_time_CX(uint8_t hours, uint8_t minutes,
 uint8_t seconds, uint8_t xpos, uint8_t ypos);
