#include <avr\io.h>
#include <util\delay.h>
#include <string.h>
#include "config.h"
#include "LCD8814.h"

int main()
{

	// initialize LCD
	LCD_initialize();

	// draw wellcome screen
	LCD_clear_screen();

	uint8_t ccount = 0;

	static char copy[] = "(C) 2011 SKATECH Research Lab  LCD driver Nokia 1110(i)";

	// draw time
	while(1)
	{
		for(uint8_t s = 0; s < 60; s++)
		{
			LCD_draw_time_CX(23, 58, s, 3, 1);

			// draw running text
			LCD_set_position(0, 6);
			for(uint8_t s = 0; s < 96/6; s++)
			{
				uint8_t i = (s + ccount) & 0x3F; 

				if (i < strlen(copy))
				{
					LCD_draw_char(copy[i]);
				}
				else LCD_draw_char(' ');
			}
			ccount++;

			_delay_ms(1000);
		}
	}	
}
